### Hierarchy

- AbstractNode
  - Variable

### Implements

- Value

## Index

### Constructors

- constructor

### Properties

- kind
- loc
- name

### Methods

- GetName
- accept
- getKind
- getLoc
- getValue

## Constructors

### constructor

- new Variable(loc: undefined | Location, name: Name): Variable

- Overrides AbstractNode.constructor

  - Defined in src/ast/values.ts:13

  #### Parameters

  - ##### loc: undefined | Location

  - ##### name: Name

  #### Returns Variable

## Properties

### kind

kind: string

Inherited from AbstractNode.kind

- Defined in src/ast/node.ts:13

### Optional loc

loc: Location

Inherited from AbstractNode.loc

- Defined in src/ast/node.ts:14

### name

name: Name

- Defined in src/ast/values.ts:13

## Methods

### GetName

- GetName(): any

- - Defined in src/ast/values.ts:24

  #### Returns any

### accept

- accept(_context: Context, _visitor: Visitor): void

- Inherited from AbstractNode.accept

  - Defined in src/ast/node.ts:29

  #### Parameters

  - ##### _context: Context

  - ##### _visitor: Visitor

  #### Returns void

### getKind

- getKind(): string

- Implementation of Value.getKind

  Inherited from AbstractNode.getKind

  - Defined in src/ast/node.ts:21

  #### Returns string

### getLoc

- getLoc(): undefined | Location

- Implementation of Value.getLoc

  Inherited from AbstractNode.getLoc

  - Defined in src/ast/node.ts:25

  #### Returns undefined | Location

### getValue

- getValue(): any

- Implementation of Value.getValue

  - Defined in src/ast/values.ts:20

  #### Returns any

Generated using TypeDoc